%global modulename promise-retry

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-promise-retry
Version:        1.1.1
Release:        1%{?dist}
Summary:        Retries a function that returns a promise, leveraging the power of the retry module.

License:        MIT
URL:            https://github.com/IndigoUnited/node-promise-retry#readme
Source0:        https://registry.npmjs.org/promise-retry/-/promise-retry-1.1.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(err-code) >= 1.0.0 with npmlib(err-code) < 2.0.0))
BuildRequires:  ((npmlib(retry) >= 0.10.0 with npmlib(retry) < 0.11.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Retries a function that returns a promise, leveraging the power of the retry module.

%package 1.1.1
Summary:        Retries a function that returns a promise, leveraging the power of the retry module.


%description 1.1.1
Retries a function that returns a promise, leveraging the power of the retry module.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .editorconfig %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jshintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.1.1
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.1.1-1
- Package automatically generated by npm2srpm
